.overlay {
  z-index: 9;
  background-color: #E6E6E6;
  width: 100%;
  height: 100%;
}

.overlay.hidden {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 2s, opacity 2s linear;
}

.progress {
    z-index: 10;
    position: absolute;
    top: 40%;
    height: 256px;
}

.progress > svg {
    z-index: 10;
    height: 100%;
    display: block;
}

.progress-img {
    z-index: 15;
    position: absolute;
    top: 40%;
    scale: 50%;
    visibility: visible;
    opacity: 1;
    transition: ;
}

.progress-img.hidden{
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 2s, opacity 2s linear;
}

.progress.hidden{
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 2s, opacity 2s linear;
}

.loading-text{
  z-index: 10;
  position: absolute;
  color: #000000;
  font-weight: 600;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 10px 0px 10px 0px;
  font-size: 1.5rem;
  top: 70%;
  visibility: visible;
  opacity: 1;
  transition: ;
}

.loading-text.hidden{
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 2s, opacity 2s linear;
}